# Get KYC for a consumer

Returns the KYC status for the logged-in consumer.

Endpoint: GET /consumers/kyc
Version: v3
Security: auth_token, api-key

## Response 200 fields (application/json):

  - `fullDueDiligence` (string, required)
    The status of the Due Diligence for the consumer.
    Enum: "NOT_STARTED", "INITIATED", "PENDING_REVIEW", "APPROVED", "REJECTED"

  - `ongoingFullDueDiligence` (string, required)
    The status of the ongoing Due Diligence process for the consumer
    Enum: "NOT_STARTED", "INITIATED", "PENDING_REVIEW", "APPROVED", "REJECTED"

  - `kycLevel` (string)
    The customer's level of due diligence.
    Enum: "KYC_LEVEL_1", "KYC_LEVEL_2"

  - `ongoingKycLevel` (string)
    The level of due diligence of the ongoing KYC process.
    Enum: "KYC_LEVEL_1", "KYC_LEVEL_2"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)


## Response 401 fields

## Response 403 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
